Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516835 - Ansible container has several components, none of them persistent [NEEDINFO]
Summary: Ansible container has several components, none of them persistent
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: cfme-openshift-embedded-ansible
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Nick Carboni
QA Contact: Dave Johnson
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 12:17 UTC by Victor Estival
Modified: 2017-12-15 14:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-15 14:13:59 UTC
Category: ---
Cloudforms Team: CFME Core
dajohnso: needinfo? (vestival)


Attachments (Terms of Use)

Description Victor Estival 2017-11-23 12:17:36 UTC
Description of problem:
Ansible container has several components, none of them persistent


Version-Release number of selected component (if applicable):
5.9.0.10


How reproducible:
100%


Steps to Reproduce:
1.
2.
3.

Actual results:
Ansible pod starts a tower, pgsql, rabbitmq, etc, none of them persistent. The AWX template in github, on the other hand, deploys 5 different pods (one of them is the web, which is not needed in CF)


Expected results:
We need a similar behavior as the AWS template


Additional info:

Comment 2 Dave Johnson 2017-11-23 12:44:21 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Nick Carboni 2017-12-07 19:42:50 UTC
> We need a similar behavior as the AWS template

Why?

I need to understand what the actual issue is here.
Yes, we are using a container that does multiple things for our ansible support, but I fail to see where that falls short of what is necessary for the feature.

We share a postgres database between the CF pods and the ansible one so nothing database related needs to be persisted in the ansible pod.

Can you explain what you were trying to do and what didn't work as expected?

Comment 4 Nick Carboni 2017-12-07 19:43:25 UTC
Dave, why was this marked as a blocker?

Comment 7 Nick Carboni 2017-12-15 14:13:59 UTC
Closing this as none of the requested information has been provided.


Note You need to log in before you can comment on or make changes to this bug.